-------------------------------------------------------------------------------
-- PublicDungeonChampions Data v1.2.2
-------------------------------------------------------------------------------
--
-- Update and Changing for Public Dungeon Champions by MerlinGer 2014
-- The Changes are in Copyright by MerlinGer
--
-- Copyright (c) 2014 Ales Machat (Garkin)
--
-- Permission is hereby granted, free of charge, to any person
-- obtaining a copy of this software and associated documentation
-- files (the "Software"), to deal in the Software without
-- restriction, including without limitation the rights to use,
-- copy, modify, merge, publish, distribute, sublicense, and/or sell
-- copies of the Software, and to permit persons to whom the
-- Software is furnished to do so, subject to the following
-- conditions:
--
-- The above copyright notice and this permission notice shall be
-- included in all copies or substantial portions of the Software.
--
-- THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
-- EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
-- OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
-- NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
-- HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
-- WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
-- FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
-- OTHER DEALINGS IN THE SOFTWARE.
--
-------------------------------------------------------------------------------

--achievementIDs for Public Dungeon Champions:
local achievementIDs = {
    [300] = true, -- Sanguine's Demesne
    [368] = true, -- Crow's Wood's
    [370] = true, -- Forgotten Crypts
    [374] = true, -- Lion's Den
    [376] = true, -- Hall of the Dead
    [378] = true, -- Obsidian Scar
    [390] = true, -- Toothmaul Gully
    [396] = true, -- Lost City of the Na-Totambu
    [1049] = true, -- Root Sunder
    [1050] = true, -- Rulanyil's Fall
    [1051] = true, -- Crimson Cove
    [1052] = true, -- The Vile Manse
    [1053] = true, -- Bad Man's Hallows
    [1054] = true, -- Bonesnap Ruins
    [1055] = true, -- Razak's Wheel
    [1056] = true, -- Village of the Lost

    [371] = true, -- Group Lion's Den
    [372] = true, -- Group Sanguine's Demesne
    [379] = true, -- Group Crow's Wood's
    [380] = true, -- Group Bad Man's Hallows
    [381] = true, -- Group Hall of the Dead
    [388] = true, -- Group Forgotten Crypts
    [445] = true, -- Group Rulanyil's Fall
    [460] = true, -- Group Crimson Cove
    [468] = true, -- Group Toothmaul Gully
    [469] = true, -- Group Vile Manse
    [470] = true, -- Group Root Sunder
    [707] = true, -- Group Lost City of the Na-Totambu
    [708] = true, -- Group Razak's Wheel
    [713] = true, -- Group Obsidian Scar
    [714] = true, -- Group Bonesnap Ruins
    [874] = true, -- Group Village of the Lost

    -- Cyrodiil Caves
    [730] = true, -- Bloodmayne Cave Explorer
    [731] = true, -- Breakneck Cave Explorer
    [732] = true, -- Haynote Cave Explorer
    [733] = true, -- Nisin Cave Explorer
    [734] = true, -- Pothole Caverns Explorer
    [735] = true, -- Serpent Hollow Explorer
    [736] = true, -- Capstone Cave Explorer
    [737] = true, -- Echo Cave Explorer
    [738] = true, -- Lipsand Tarn Explorer
    [739] = true, -- Red Ruby Cave Explorer
    [740] = true, -- Toadstool Hollow Explorer
    [741] = true, -- Underpall Cave Explorer
    [742] = true, -- Cracked Wood Cave Explorer
    [743] = true, -- Kingscrest Cavern Explorer
    [744] = true, -- Muck Valley Cavern Explorer
    [745] = true, -- Newt Cave Explorer
    [746] = true, -- Quickwater Cave Explorer
    [747] = true, -- Vahtacen Explorer
}


local PublicDungeonChampionsData = {}
-- format: locX, locY, achievementId, criteriaIndex

PublicDungeonChampionsData["shadowfen"] = { --300 Sanguine's Demesne - Verified
   ["sanguinesdemesne_base"] = {
      { 0.06, 0.51, 300, 1}, -- Shrom
      { 0.81, 0.69, 300, 2}, -- Brol
      { 0.39, 0.44, 300, 3}, -- Guest That Wouldn't Leave
      { 0.51, 0.19, 300, 4}, -- Drel
      { 0.53, 0.28, 300, 5}, -- the Bloody Judge
      { 0.85, 0.55, 300, 6}, -- Fire-Eater
      { 0.19, 0.26, 372, 1}, -- Group Boss Fight-Master Grel
   },
}

PublicDungeonChampionsData["stonefalls"] = { -- 368 Crow's Wood's - Verified
   ["crowswood_base"] = {
      { 0.37, 0.52, 368, 1}, -- Shriekscorn
      { 0.60, 0.41, 368, 2}, -- Grizzlehide
      { 0.29, 0.58, 368, 3}, -- Buron
      { 0.25, 0.86, 368, 4}, -- Moonlit Maiden
      { 0.56, 0.37, 368, 5}, -- Wrathvenom
      { 0.67, 0.57, 379, 1}, -- Group Boss Soul Wraith
   },
}

PublicDungeonChampionsData["deshaan"] = { -- 370 Forgotten Crypts - Verified
   ["forgottencrypts_base"] = {
      { 0.76, 0.55, 370, 1}, -- the Silent Colossus
      { 0.72, 0.27, 370, 2}, -- Fyrayn Telvanni
      { 0.56, 0.42, 370, 3}, -- the Forgotten Sheriff
      { 0.48, 0.16, 370, 4}, -- Timothe the Sharp
      { 0.58, 0.91, 388, 1}, -- Group Boss Kwama Guardians
   },
}

PublicDungeonChampionsData["therift"] = { -- 374 Lion's Den - Verified by Garkin
   ["thelionsden_base"] = {
      { 0.66, 0.31, 374, 1}, -- Lieutenant Derone
      { 0.73, 0.34, 374, 2}, -- Sargent Lort
      { 0.70, 0.57, 374, 3}, -- Lieutenant Stenric
      { 0.33, 0.22, 374, 4}, -- Sargent Themond
      { 0.82, 0.20, 374, 5}, -- Frost Troll
      { 0.38, 0.13, 374, 6}, -- Den Mother
      { 0.68, 0.53, 374, 7}, -- Crazy Sebastien
      { 0.11, 0.87, 371, 1}, -- Group Boss Loney Giant
   },
}
 
PublicDungeonChampionsData["eastmarch"] = { -- 376 Hall of the Dead - Verified
   ["hallofthedead_base"] = {
      { 0.76, 0.79, 376, 1}, -- Gefvid Lodorrsbane
      { 0.42, 0.90, 376, 2}, -- Hlaki Lodorrsbane
      { 0.24, 0.75, 376, 3}, -- Hrerik Lodorrsbane
      { 0.66, 0.93, 376, 4}, -- Jalfrid Lodorrsbane
      { 0.34, 0.88, 376, 5}, -- Sorgild Lodorrsbane
      { 0.42, 0.22, 376, 6}, -- the Old Priest
      { 0.76, 0.50, 381, 1}, -- Group Boss Rynir the Destroyer
   },
}

PublicDungeonChampionsData["rivenspire"] = { -- 378 Obsidian Scar - Verified
   ["obsidianscar_base"] = {
      { 0.68, 0.75, 378, 1}, -- Doom Witch Dekamma
      { 0.56, 0.88, 378, 2}, -- Ogmash the Mighty
      { 0.89, 0.44, 378, 3}, -- Bumbuk Bear-Slayer
      { 0.71, 0.23, 378, 4}, -- High Overseer Kvotai
      { 0.24, 0.39, 378, 5}, -- Murgbakh Axe-Hands
      { 0.59, 0.17, 378, 6}, -- Grand Shaman Glazgor
      { 0.24, 0.42, 378, 7}, -- Zozullu
      { 0.38, 0.14, 713, 1}, -- Group Boss Zilbash the Deceiver
   },
}

PublicDungeonChampionsData["auridon"] = { -- 390 Toothmaul Gully - Verified
   ["toothmaulgully_base"] = {
      { 0.48, 0.78, 390, 1}, -- Dzeizik
      { 0.24, 0.27, 390, 2}, -- Nitch
      { 0.61, 0.67, 390, 3}, -- Slakkith and Gorg
      { 0.28, 0.43, 390, 4}, -- Thek and Black Bessie
      { 0.45, 0.63, 390, 5}, -- Togga the Skewerer
      { 0.48, 0.65, 468, 1}, -- Group Boss Bloodroot
   },
}

PublicDungeonChampionsData["alikr"] = { -- 396 Lost City of the Na-Totambu - Verified
   ["lostcity_base"] = {
      { 0.42, 0.88, 396, 1}, -- Arbhu-ra
      { 0.66, 0.72, 396, 2}, -- Clacker
      { 0.66, 0.45, 396, 3}, -- Gritstone Patriarch
      { 0.34, 0.58, 396, 4}, -- The Silent Sword
      { 0.46, 0.94, 396, 5}, -- Vath'ira
      { 0.34, 0.63, 707, 1}, -- Group Boss Puzzle of the Guardians
   },
}

--data are copied from Joe_Schmo2840's APB - All Public Bosses addon
PublicDungeonChampionsData["cyrodiil"] = {
--Cyrodiil (all, lvl 10+)
   ["capstonecave_base"] = {
      { 0.718519, 0.166667, 736, 1 }, --Claudette the Sharper
   },
   ["potholecavern_base"] = {
      { 0.620988, 0.462963, 734, 1 }, --Serrin Vol
      { 0.604938, 0.697531, 734, 2 }, --Diabolist Vethisa
      { 0.5370, 0.1333, 734, 3 },     --Blighttooth
   },
   ["breakneckcave_base"] = {
      { 0.271605, 0.301235, 731, 1 }, --Hegris
      { 0.277778, 0.588889, 731, 2 }, --Longfang
   },
   ["lipsandtarn_base"] = {
      { 0.392593, 0.177778, 738, 1 }, --Gaston Ashham
      { 0.253086, 0.586420, 738, 2 }, --Marbita
   },
   ["echocave_base"] = {
      { 0.718519, 0.166667, 737, 1 }, --Sargos Grent
   },
   ["toadstoolhollowlower_base"] = {
      { 0.085185, 0.527160, 740, 1 }, --Lucienne Cerine
      { 0.279012, 0.522222, 740, 2 }, --Captain Roreles
      { 0.307407, 0.751852, 740, 3 }, --Captain Serniel
      { 0.303704, 0.344444, 740, 4 }, --General Virane
   },
   ["toadstoolhollow_base"] = {
      { 0.266667, 0.306173, 740, 5 }, --Dreadfang
   },
   ["redrubycave_base"] = {
      { 0.379012, 0.220988, 739, 1 }, --Endare
      { 0.780247, 0.262963, 739, 2 }, --Zandur
   },
   ["bloodmaynecave_base"] = {
      { 0.137037, 0.353086, 730, 1 }, --Acanthia
      { 0.475309, 0.386420, 730, 2 }, --Ironlash
      { 0.392593, 0.446914, 730, 3 }, --Razorback
   },
   ["newtcave_base"] = {
      { 0.148148, 0.319753, 745, 1 }, --Gravel Tooth
      { 0.611111, 0.733333, 745, 2 }, --Rock Wing
   },
   ["crackedwoodcave_base"] = {
      { 0.701235, 0.380247, 742, 1 }, --Mebs Runnyeye
      { 0.329630, 0.085185, 742, 2 }, --Regsrot Blacktongue
      { 0.344444, 0.356790, 742, 3 }, --Traug Wolfbreath
   },
   ["muckvalleycavern_base"] = {
      { 0.187654, 0.690123, 744, 1 }, --Kerks Half-Ear
      { 0.782716, 0.159259, 744, 2 }, --Ogre Biter
      { 0.375309, 0.888889, 744, 3 }, --Webmistress
   },
   ["vahtacen_base"] = {
      { 0.145679, 0.653086, 747, 1 }, --Faceless
   },
   ["quickwatercave_base"] = {
      { 0.401235, 0.930864, 746, 1 }, --Athal Andas
      { 0.179012, 0.453086, 746, 2 }, --Steel-Tail
   },
   ["kingscrest_base"] = {
      { 0.846914, 0.512346, 743, 1 }, --Cynaceae the Verdant
   },
   ["serpenthollowcave_base"] = {
      { 0.225926, 0.571605, 735, 1 }, --Bruuke
      { 0.402469, 0.267901, 735, 2 }, --Bear Matriarch
   },
   ["haynotecave_base"] = {
      { 0.316049, 0.483951, 732, 1 }, --Theurgist Thelas
      { 0.549383, 0.193827, 732, 2 }, --Diabolist Volcatia
   },
   ["nisincave_base"] = {
      { 0.108642, 0.645679, 733, 1 }, --Barasatii
      { 0.600000, 0.601235, 733, 2 }, --Volgo the Harrower
   },
   ["underpallcave_base"] = {
      { 0.301235, 0.172840, 741, 1 }, --Raelynne Ashham
      { 0.717284, 0.607407, 741, 2 }, --Emelin the Returned
   },
}

PublicDungeonChampionsData["grahtwood"] = { -- 1049 Root Sunder - Verified
   ["rootsunder_base"] = {
      { 0.59, 0.60, 1049, 1}, -- the Devil Wrathmaw
      { 0.22, 0.56, 1049, 2}, -- Rootbiter
      { 0.89, 0.45, 1049, 3}, -- Rustjaw
      { 0.75, 0.46, 1049, 4}, -- Silent Claw
      { 0.60, 0.75, 1049, 5}, -- Great Thorn
      { 0.51, 0.34, 1049, 6}, -- Thick-Bark
      { 0.66, 0.17,  470, 1}, -- Group Boss The Bonemonger
   },
}

PublicDungeonChampionsData["greenshade"] = { -- 1050 Rulanyil's Fall - Verified
   ["rulanyilsfall_base"] = {
      { 0.26, 0.55, 1050, 1}, -- Hannat the Bonebringer
      { 0.34, 0.35, 1050, 2}, -- Magna Tharn
      { 0.64, 0.44, 1050, 3}, -- Necromancer Utiasl
      { 0.79, 0.39, 1050, 4}, -- Onkal the Harbinger
      { 0.50, 0.44, 1050, 5}, -- Skirar the Decaying
      { 0.13, 0.38, 1050, 6}, -- Vree Foulflesh
      { 0.83, 0.66,  445, 1}, -- Group Boss Hergor the Fallen
   },
}

PublicDungeonChampionsData["malabaltor"] = { -- 1051 Crimson Cove - Verified
   ["crimsoncove_base"] = {
      { 0.67, 0.33, 1051, 1}, -- Pilot Ostrala
      { 0.53, 0.48, 1051, 2}, -- Povaren One-Eye
      { 0.53, 0.34, 1051, 3}, -- Yiralai the Wicked
      { 0.35, 0.55, 1051, 4}, -- Old Strongclaw
      { 0.69, 0.55, 1051, 5}, -- Rokut the Mauler
      { 0.61, 0.10, 1051, 6}, -- Reja Laransdottir
      { 0.69, 0.49, 1051, 7}, -- Viro Redhands
      { 0.60, 0.75,  460, 1}, -- Group Boss Flat Tooth
   },
}

PublicDungeonChampionsData["reapersmarch"] = { -- 1052 The Vile Manse - Verified
   ["thevilemansefirstfloor_base"] = {
      { 0.36, 0.55, 1052, 2}, -- the Marrow Thief
      { 0.69, 0.28, 1052, 3}, -- Pelona the Marksman
      { 0.69, 0.51, 1052, 4}, -- Sergeant Atilus
      { 0.33, 0.13, 1052, 5}, -- Venissia the Twisted
      { 0.47, 0.90, 469 , 1}, -- Group Boss Graccus' frost experiments
   },
   
   ["thevilemansesecondfloor_base"] = {
      { 0.33, 0.61, 1052, 1}, -- the Ancient Primalist
      { 0.65, 0.41, 1052, 6}, -- Xevat-Golgok
   },

}

PublicDungeonChampionsData["glenumbra"] = { -- 1053 Bad Man's Hallows - Verified
   ["badmanscave_base"] = {
      { 0.72, 0.73, 1053, 1}, -- Bloatgut
      { 0.59, 0.44, 1053, 2}, -- Skitterflame
      { 0.43, 0.72, 1053, 3}, -- Rutmange
      { 0.53, 0.68, 1053, 4}, -- Bloodcraw
      { 0.18, 0.40,  380, 1}, -- Group Boss Giant Snake Mother
   },
}

PublicDungeonChampionsData["stormhaven"] = { -- 1054 Bonesnap Ruins - Verified
   ["bonesnapruinssecret_base"] = {
      { 0.62, 0.61, 1054, 1}, -- Lughar
      { 0.66, 0.42, 1054, 2}, -- Bloodmaw
      { 0.44, 0.33, 1054, 3}, -- Rork Bonehammer
      { 0.33, 0.54, 1054, 4}, -- Mar-Zak
      { 0.28, 0.73, 1054, 5}, -- Thargan
      { 0.50, 0.78, 1054, 6}, -- Torak Shadebringer
      { 0.40, 0.17,  714, 1}, -- Group Boss The Eternal One
   },
}

PublicDungeonChampionsData["bangkorai"] = { -- 1055 Razak's Wheel - Verified
   ["razakswheel_base"] = {
      { 0.79, 0.36, 1055, 1}, -- Razak's Behemoth
      { 0.43, 0.42, 1055, 2}, -- Centurion Solinthia
      { 0.77, 0.62, 1055, 3}, -- Archivist Poneria
      { 0.37, 0.58, 1055, 4}, -- Archivist Sanctius
      { 0.71, 0.51, 1055, 5}, -- Rkurdamz
      { 0.68, 0.79, 1055, 6}, -- Mzanchndalft
      { 0.86, 0.52,  708, 1}, -- Group Boss flesh atronach
   },
}

PublicDungeonChampionsData["coldharbor"] = { -- 1056 Village of the Lost -  Verified
   ["villageofthelost_base"] = {
      { 0.85, 0.41, 1056, 1}, -- Mirok the Deplorable
      { 0.19, 0.67, 1056, 2}, -- Gruthaz
      { 0.32, 0.27, 1056, 3}, -- Vrendi
      { 0.34, 0.67, 1056, 4}, -- Aez the Collector
      { 0.72, 0.35, 1056, 5}, -- Iluzan
      { 0.77, 0.57, 1056, 6}, -- Macius Cento
      { 0.48, 0.45, 1056, 7}, -- Uluzzur
      { 0.38, 0.23,  874, 1}, -- Group Boss Zatalguch
   },
}

--[[
PublicDungeonChampionsData[""] = { --
   [""] = {
      { 0., 0., ID, 1}, -- 1
      { 0., 0., ID, 2}, -- 2
      { 0., 0., ID, 3}, -- 3
      { 0., 0., ID, 4}, -- 4
      { 0., 0., ID, 5}, -- 5
      { 0., 0., ID, 6}, -- 6
      { 0., 0., ID, 7}, -- 7
   },
}
]]--

function PublicDungeonChampions_GetAchievementIDs()
   return achievementIDs
end

function PublicDungeonChampions_GetLocalData(zone, subzone)
   if type(zone) == "string" and type(subzone) == "string" and PublicDungeonChampionsData[zone] and PublicDungeonChampionsData[zone][subzone] then
      return PublicDungeonChampionsData[zone][subzone]
   end
end

function PublicDungeonChampions_SetLocalData(zone, subzone, data)
   if type(zone) == "string" and type(subzone) == "string" and type(data) == "table" then
      PublicDungeonChampionsData[zone] = PublicDungeonChampionsData[zone] or {}
      PublicDungeonChampionsData[zone][subzone] = PublicDungeonChampionsData[zone][subzone] or {}
      table.insert(PublicDungeonChampionsData[zone][subzone], data)
   end
end